## org.openni
Class Point3D<T>

    java.lang.Object
      org.openni.Point3D<T>

    public class Point3D<T>

extends java.lang.Object

The Point3D object encapsulate 3 Dimension point

Constructor Summary
`Point3D(T x, T y, T z)` The Point3D constructor

Method Summary
`T` `getX()` Return X coordinate
`T` `getY()` Return Y coordinate
`T` `getZ()` Return Z coordinate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point3D

    public Point3D(T x,
                   T y,
                   T z)

  The Point3D constructor

  Parameters:
    `x` - coordinate of the point
    `y` - coordinate of the point
    `z` - coordinate of the point

Method Detail

### getX

    public T getX()

  Return X coordinate

  Returns:
    X coordinate

### getY

    public T getY()

  Return Y coordinate

  Returns:
    Y coordinate

### getZ

    public T getZ()

  Return Z coordinate

  Returns:
    Z coordinate